SD_JOURNAL_HAS_RUNTIME_FILES(3)

NAME
sd_journal_has_runtime_files, sd_journal_has_persistent_files - Query availability of runtime or persistent journal files.

SYNOPSIS

#include <systemd/sd-journal.h>

int sd_journal_has_runtime_files(sd_journal *j);

int sd_journal_has_persistent_files(sd_journal *j);

DESCRIPTION

sd_journal_has_runtime_files() returns a positive value if runtime journal files (present in /run/systemd/journal/) have been found. Otherwise returns 0.

sd_journal_has_persistent_files() returns a positive value if persistent journal files (present in /var/log/journal/) have been found. Otherwise returns 0.

RETURN VALUE

Both sd_journal_has_runtime_files() and sd_journal_has_persistent_files() return -EINVAL if their argument is NULL.

SEE ALSO

sd-journal(3)